Bug 1094920 - olpc-powerd: script and/or trigger should not directly enable systemd units
Summary: olpc-powerd: script and/or trigger should not directly enable systemd units
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: olpc-powerd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: autoenabled-systemd-units
TreeView+ depends on / blocked
 
Reported: 2014-05-06 17:20 UTC by Andy Lutomirski
Modified: 2014-05-31 23:55 UTC (History)
4 users (show)

Fixed In Version: olpc-powerd-110-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-31 23:55:41 UTC
Type: ---


Attachments (Terms of Use)

Description Andy Lutomirski 2014-05-06 17:20:24 UTC
My query script thinks that olpc-powerd has a script or trigger that directly enables a systemd unit using 'systemctl enable'.  It probably should not.  Please update this packages to use the macroized scriptlet (https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd).

If your package has an exception from FESCo permitting it to enable
itself, please make sure that the service in question is listed in the
appropriate preset file.

There is a general exception described here:

https://fedoraproject.org/wiki/Starting_services_by_default

If your package falls under the general exception, then it is possible
that no change is required.  Nevertheless, if you are relying on the
exception, please make sure that your rpm scripts are sensible.  The
exception is:

In addition, any service which does not remain persistent on the system (aka, it "runs once then goes away"), does not listen to incoming connections during initialization, and does not require configuration to be functional may be enabled by default (but is not required to do so). An example of "runs once then goes away" service is iptables.

Given that this issue can affect Fedora 20 users who install your
package as a dependency, this bug should be fixed in Fedora 20 and
Rawhide.

Comment 1 Fedora Update System 2014-05-11 12:07:11 UTC
olpc-powerd-110-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/olpc-powerd-110-3.fc20

Comment 2 Fedora Update System 2014-05-12 05:24:48 UTC
Package olpc-powerd-110-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing olpc-powerd-110-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6254/olpc-powerd-110-3.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-05-31 23:55:41 UTC
olpc-powerd-110-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.